Page MenuHomeLubuntu Development

Edited Shortcuts.
AbandonedPublic

Authored by The_LoudSpeaker on Jul 1 2019, 5:12 PM.

Details

Reviewers
wxl
tsimonq2
Summary
  • Shortcuts for following are modified:
    • Go to dektop
    • Send to desktop
    • Directional Cycle Windows
    • Go to Desktop Directional
    • XF86WWW
  • Shortcuts for following are removed and corresponding are added to lxqt/globalkeyshortcuts.conf
    • Toggle show desktop
    • Pcmanfm
    • Runner
    • terminal
    • task manager
  • Some commented out items are removed
    • lxpanel menu
    • lxsession default lock
    • calculator
    • screenshot
    • quit
  • Following shortcuts are completely removed
    • Ctrl+F10/11 regarding backlight
    • Ctrl+F7 xset dpms force off
    • Window tiling
Test Plan

Once this file and lxqt/globalkeyshortcuts.conf are in place,

	   Check all the specified shortcuts as per T59#1260 are working.

Diff Detail

Repository
rDEFAULTSETTINGS Lubuntu Default Settings
Branch
ubuntu/eoan
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 42
Build 42: arc lint + arc unit

Event Timeline

The_LoudSpeaker requested review of this revision.Jul 1 2019, 5:12 PM
The_LoudSpeaker created this revision.
Harbormaster completed remote builds in B31: Diff 44.Jul 1 2019, 5:12 PM
wxl added a comment.Jul 1 2019, 5:22 PM

I presume there will be a corresponding differential revision for the LXQt side of things?

Yeah. But I don't know how to go about it. Never patched a repo which is already patched. Please give instructions on the channel. :)

Edited shortcuts.
Patched rLXQTGLOBALKEYSPACKAGING. See D18.

Harbormaster completed remote builds in B33: Diff 46.Jul 1 2019, 6:37 PM
tsimonq2 accepted this revision.Jul 1 2019, 8:38 PM
This revision is now accepted and ready to land.Jul 1 2019, 8:38 PM
wxl requested changes to this revision.Jul 8 2019, 12:16 AM

As I said on D18, we should move the media keys (the XF86 ones) over to globalkeyshortcuts.conf. I understand you don't have the keys. No big deal. You can make the definitions to something else ridiculous and then hand edit the file.

This will eliminate the need for the line about Lubuntu specific bindings. It will also get around the problem that the last keybinding is outside the closing </keyboard> tag, which would ultimately be problematic.

This revision now requires changes to proceed.Jul 8 2019, 12:16 AM

Removed media keys

Harbormaster completed remote builds in B42: Diff 57.Jul 9 2019, 1:01 PM
wxl requested changes to this revision.Jul 9 2019, 1:04 PM

Remove the "Lubuntu specific keybindings" line, please.

This revision now requires changes to proceed.Jul 9 2019, 1:04 PM

Removed "Lubuntu Specific Key bindings"

Harbormaster completed remote builds in B43: Diff 58.Jul 9 2019, 1:38 PM
wxl accepted this revision.Jul 9 2019, 2:20 PM

Good job!

This revision is now accepted and ready to land.Jul 9 2019, 2:20 PM

Job is not done yet, not untill D18 gets sorted.

wxl requested changes to this revision.Jul 30 2019, 9:37 PM

I realize you need a changelog entry here.

This revision now requires changes to proceed.Jul 30 2019, 9:37 PM

Modified Shortcuts
Shortcuts for following are modified:

  • Go to Desktop
  • Send to Desktop
  • Directional Cycle Windows
  • Go to Desktop Directional
  • XF86WWW

Shortcuts for following are removed

  • Toggle show desktop
  • PCmanfm
  • Runner
  • Terminal
  • Task Manager

Some commented out items are removed

  • Lxpanel Meni
  • Lxsession default lock
  • Calculator
  • Screenshot
  • Quit

Following shortcuts are completely removed

  • CTrl+f10/f11 regarding backlight
  • Ctrl+f7 xset dpms force off

added a changelog entry

Harbormaster completed remote builds in B52: Diff 73.Aug 4 2019, 1:02 AM
The_LoudSpeaker added a comment.EditedAug 4 2019, 1:03 AM

@wxl Please check at your convinience.

wxl requested changes to this revision.Aug 4 2019, 4:05 PM

First off, this is a native package and as the wiki describes, it should have a simple version number rather than the xubuntuy format. That said, 19.10.4.

Second some quibbles:

  • These are not modified, but removed (or switched?):
    • switch desktops
    • next panel
    • media keys: browser, terminal, my computer
  • You don't need to enumerate the commented lines that were removed; they were non-functional anyways.
  • I don't see anything dealing with "Go To Desktop Directional."
This revision now requires changes to proceed.Aug 4 2019, 4:05 PM

Minor changes

updated version no and changelog

wxl accepted this revision.Aug 5 2019, 12:03 AM
This revision is now accepted and ready to land.Aug 5 2019, 12:03 AM
wxl added a comment.Aug 5 2019, 12:05 AM

Actually.. one question: on your local copy, are you on the ubuntu/eoan branch? I think I can fix it if not but that makes me worried.

The_LoudSpeaker added a comment.EditedAug 5 2019, 4:13 PM

Right now I am on branch arcpatch-D17_1. Should I be on ubuntu/eoan ? something I missed? I was on ubuntu/eoan when I started. few days back, when I first filled this differential.

wxl added a comment.Aug 17 2019, 6:27 PM

Yeah you should be on ubuntu/eoan. This is why we use --nobranch with arc patch because otherwise it makes an arcpatch-Dn branch. I tried to pull down a new copy of the repo and the arc patch failed. So somehow your changes are based upon a local copy that is inconsistent with the remote copy. You might want to copy your xml file and debian/changelog, get a fresh repo, overwrite those files, and then arc diff --update D17.

wxl requested changes to this revision.Aug 17 2019, 6:28 PM
This revision now requires changes to proceed.Aug 17 2019, 6:28 PM

Modified Diff

wxl requested changes to this revision.Aug 18 2019, 10:38 AM

OK doing that overwrite with the changelog was a bad idea. You need to restore the changes you dropped.

This revision now requires changes to proceed.Aug 18 2019, 10:38 AM
wxl added a comment.Aug 19 2019, 11:04 PM

@The_LoudSpeaker is D34 supposed to supercede this? If so, please drop it.

The_LoudSpeaker abandoned this revision.Aug 20 2019, 11:52 AM